Description

It'd be nice for QGIS to display the 3 most recently used CRS items directly from the layer menu and allow the user to click on them to set

the layer's CRS to the selected item.

Accompanying this change, QGIS should also display the current layer CRS directly in the menu.

Resulting layer menu would look like this:

/---------------------\\

| Zoom to layer...    |

| Show in overview    |

| Remove              |

| ------------------- |/------------------------------\\

| Layer CRS         > || Current CRS (disabled state) |

| ------------------- || Set project to Layer CRS     |

| [...]               || ---------------------------- |

|                     || Recent #3905                    |

|                     || Recent #3906                    |

|                     || Recent #3907                    |

|                     || ---------------------------- |

|                     || Open CRS selector...         |

|                     |\\------------------------------/

|                     |

\\---------------------/

IMO, positive aspects of this change are:

    -  A good way to increase efficiency with regards to layers CRS management. 

    -  Allow for the user to skip the time QGIS needs to compile the CRS list & create the CRS selector window in cases he/she only wants

to select most recently used CRS. (as it currently is, even on high-end windows machines, the user has to wait a couple of seconds for the

window to show up) 

    -  Remove the 'set project to layer CRS' item from the root menu, making the root menu less busy by removing an item rarely used (in

theory, the user would use this function only once per project)

    -  Allow for the user to quickly see the layer CRS without opening the property window, also useful in deciding whether to use layer CRS

as project CRS

History

#1 - 2012-10-06 02:33 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2015-12-03 03:14 AM - Médéric RIBREUX

- Pull Request or Patch supplied set to No
- Assignee deleted (nobody -)

Hello, bug triage...

still true in QGIS 2.13. We could use QgsCoordinateReferenceSystem::recentProjections() to dynamically build the menu entries...

#3 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
